package perfmodel.wildfly.callstack;

import java.util.ArrayDeque;
import java.util.Deque;

public class ThreadCallStack {

	private static final ThreadLocal<Deque<OperationRecord>> callStack = new ThreadLocal<Deque<OperationRecord>>() {
		protected Deque<OperationRecord> initialValue() {
			return new ArrayDeque<OperationRecord>(10);
		};
	};
	
	public static Deque<OperationRecord> get() {
		return callStack.get();
	}
}
